OF 0.8.1 Release Candidate 2 - Download links

Please give these a go if you have a moment.
If there aren’t issues this will be the 0.8.1 release ( minus the changelog which needs updating )

http://www.openframeworks.cc/versions/v0.8.1-RC2/of_v0.8.1-RC2_android_release.tar.gz
http://www.openframeworks.cc/versions/v0.8.1-RC2/of_v0.8.1-RC2_osx_release.zip
http://www.openframeworks.cc/versions/v0.8.1-RC2/of_v0.8.1-RC2_ios_release.zip
http://www.openframeworks.cc/versions/v0.8.1-RC2/of_v0.8.1-RC2_vs_release.zip
http://www.openframeworks.cc/versions/v0.8.1-RC2/of_v0.8.1-RC2_win_cb_release.zip
http://www.openframeworks.cc/versions/v0.8.1-RC2/of_v0.8.1-RC2_linuxarmv7l_release.tar.gz
http://www.openframeworks.cc/versions/v0.8.1-RC2/of_v0.8.1-RC2_linuxarmv6l_release.tar.gz
http://www.openframeworks.cc/versions/v0.8.1-RC2/of_v0.8.1-RC2_linux64_release.tar.gz
http://www.openframeworks.cc/versions/v0.8.1-RC2/of_v0.8.1-RC2_linux_release.tar.gz

Thanks for all the help testing so far!!

2 Likes

Hy,

there is a wrong link for the OSX_release.

By the way, the first release works for my recent projects (so far).

Many thanks.

Good to hear.
Links should be fixed now!

Thanks!
Theo

Any release notes? “What’s new” or something?

this release it’s only bugfixes, the changelog has most of what’s been fixed:

not too sure about this,in my case the projectGeneratorSettings.xml settings should be as <appToRoot>../</appToRoot>

yes this was a mistake just for VS, thanks for reporting it, we’ll fix it in the next release candidate.

@arturo - seems that you’ve forgot to mention that the issue (https://github.com/openframeworks/openFrameworks/issues/1615)
with iphone5s armv7s has also been solved in this release…
btw - great thanks for that :slight_smile: !

Hi, testing RC2 and it seems to behave the same as RC1 for me. I still have rotation issues on start-up, iOS5 and iOSKeyboards, so applied the same fixes (Problems with OF0.8 + orientation & Orientation is not updated on start-up) to the RC2 code and all is ok for me now…

Tested on the usual:

  • iPad4/iOS7.1
  • iPad1/iOS5.1.1

Hi @Gwydion

We looked at the two issues you posted.
The one about unknown orientation was fixed in RC2

The other we didn’t change but maybe something we could look at for 0.8.2 as it is a little more nuanced I think.
I know there was a good reason for the check and the rotation stuff took a long time to get it to where it is now, so I think it makes sense to be a bit cautious here.

If you want to submit a PR with your fix, we could merge it in after 0.8.1 and then have some time to look for any possible regressions.

Thanks!
Theo

Thanks Theo - yeah, am not sure with my fixes as they fix my app, but won’t work for everyone, I guess… best to err on the safe side…

Thank you very much for this upgrade. I was currently working on an iPad app controlling DMX then during one of my updates it stopped working.

While working in Xcode out of frustration I allowed Xcode to automatically choose my settings, which messed everything up much worse. I got 180 errors in all my iPad openFrameworks. As soon as I did the update to RC2 that got rid of the 180 errors. A god send, thanks for that.

I figured out the rest on my own.

Just gave this code a try with Visual Studio Express 2013 and no go. The files still read as VS2012 and if you let it upgrade them I get 301 Errors:

Error 3 error LNK2038: mismatch detected for ‘_MSC_VER’: value ‘1700’ doesn’t match value ‘1800’ in main.obj C:\Users\coleman\Desktop\OF_Dev\of_v0.8.1-RC2_vs_release\examples\3d\3DPrimitivesExample\PocoNetSSLmdd.lib(SSLManager.obj) 3DPrimitivesExample

hi there,
if I do a git pull on thh nightly build tonight, should I expect to have v0.8.1 candidate 2?

to @theo i have the same issue again in VS version also with RC2:

impossible to run the app because MSVCP110.dll is missed

anyone else has tried the Vs version?

1 Like

tried an example with Visual Studio 2010 i got this error:

> 1>------ Inizio compilazione: Progetto: openframeworksLib, Configurazione: Release Win32 ------
> 1>C:\Program Files (x86)\MSBuild\Microsoft.Cpp\v4.0\Platforms\Win32\Microsoft.Cpp.Win32.Targets(518,5): error MSB8008: il set di strumenti della piattaforma specificata (v110) non è installato o non è valido. Accertarsi che sia selezionato un valore supportato per PlatformToolset.
> 2>------ Inizio compilazione: Progetto: regularExpressionExample, Configurazione: Release Win32 ------
> 2>C:\Program Files (x86)\MSBuild\Microsoft.Cpp\v4.0\Platforms\Win32\Microsoft.Cpp.Win32.Targets(518,5): error MSB8008: il set di strumenti della piattaforma specificata (v110) non è installato o non è valido. Accertarsi che sia selezionato un valore supportato per PlatformToolset.
> ========== Compilazione: 0 completate, 2 non riuscite, 0 aggiornate, 0 ignorate ==========

pseudo translation:

: Error MSB8008: The specified platform toolset (v110) is not installed or is not valid. Make sure that you selected a supported value for PlatformToolset.

maybe this is related to the issue with PG? i need to install a toolset?

Hey!
OF 0.8.1 is only compatible with VS2012 at the moment.
This is because each version of Visual Studio requires C++ libs to be recompiled for it. So currently we are supporting VS2012

All the best,
Theo

ok understood! will install Vs2012… Sorry, i do not use too much OF in Windows…

Release Candidate 3 links are here:

Now with Vs 2012 all is good, @theo sorry again for the incovenient…tested the RC2 for VS.